Announcement

By Cynthia Stephens, VP of Marketing, ByAllAccounts on Sunday, April 13th, 2014

As you are likely aware, a security vulnerability, dubbed “Heartbleed,” was discovered in recent versions of OpenSSL, which is used throughout much of the Internet.    Upon learning of this vulnerability, ByAllAccounts immediately took all recommended steps to replace the affected software and to mitigate information exposure.  We have found no indication of data compromise, and we are continuing to monitor our systems and sources of security information for any further developments. We recommend that you change the password for your ByAllAccounts login and passwords for any financial institutions configured in the ByAllAccounts service.  We are committed to providing a secure technology environment for our clients and are monitoring this situation closely.
comments powered by Disqus